#!/bin/sh
export PATH='/usr/obj/ports/hs-cryptohash-0.7.10/bin:/usr/bin:/bin:/usr/sbin:/sbin:/usr/local/bin:/usr/X11R6/bin'
echo 'name: cryptohash
version: 0.7.10
id: cryptohash-0.7.10-9ecf8a9feb574431f709b08250d5884a
key: crypt_1tuJ3ClxldjIhsibmTsB0B
license: BSD3
copyright: Vincent Hanquez <vincent@snarc.org>
maintainer: Vincent Hanquez <vincent@snarc.org>
homepage: http://github.com/vincenthz/hs-cryptohash
synopsis: collection of crypto hashes, fast, pure and practical
description:
    A collection of crypto hashes, with a practical incremental and one-pass, pure APIs,
    with performance close to the fastest implementations available in others languages.
    .
    The implementations are made in C with a haskell FFI wrapper that hide the C implementation.
category: Data, Cryptography
author: Vincent Hanquez <vincent@snarc.org>
exposed: True
exposed-modules:
    Crypto.Hash.SHA1 Crypto.Hash.SHA224 Crypto.Hash.SHA256
    Crypto.Hash.SHA384 Crypto.Hash.SHA512 Crypto.Hash.SHA512t
    Crypto.Hash.SHA3 Crypto.Hash.MD2 Crypto.Hash.MD4 Crypto.Hash.MD5
    Crypto.Hash.RIPEMD160 Crypto.Hash.Skein256 Crypto.Hash.Skein512
    Crypto.Hash.Tiger Crypto.Hash.Whirlpool Crypto.MAC.HMAC
trusted: False
import-dirs: /usr/local/lib/ghc/cryptohash-0.7.10
library-dirs: /usr/local/lib/ghc/cryptohash-0.7.10
data-dir: /usr/local/share/hs-cryptohash-0.7.10
hs-libraries: HScryptohash-0.7.10-1tuJ3ClxldjIhsibmTsB0B
depends:
    base-4.8.2.0-998280bdde83e17200455ba43ed33188
    bytestring-0.10.6.0-fd9ecdc10518a92e9e756e845ae35989
    cereal-0.4.1.0-232b9a6d4ff24340007b7dfc3284533f
    crypto-api-0.13.2-931f85c68f18566b2e0a04507d8220ce
    tagged-0.7.3-ba5c06d312b2028324ed9ce4d843c184
haddock-interfaces: /usr/local/share/doc/hs-cryptohash-0.7.10/html/cryptohash.haddock
haddock-html: /usr/local/share/doc/hs-cryptohash-0.7.10/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-db' "$@"
